/*---------------------------------------------------------------------------*
 *
 *	buttonbox header file
 *	---------------------
 *
 *	written by David Allen <s2mdalle@titan.vcu.edu>
 *	http://opop.nols.com/
 * 
 *	Released under the terms of the GNU General Public License
 *
 *	modified by Hellmuth Michaelis <hm@hcs.de>
 *	http://www.freebsd-support.de/misc/
 *
 *	last edit-date: [Thu Aug 17 16:57:47 2000]
 *
 *---------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <glib.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <errno.h>
#include <ctype.h>

#define BUFLEN			2048

#define RIGHT_MOUSE_BUTTON	3

/* Prototypes */

GtkWidget *xpm_file_to_widget	(GtkWidget *foo, gchar *filename);
gint button_press		(GtkWidget *widget, GdkEvent *event);
void build_menu			(void);
void need_destroy		(GtkWidget *input);
void about			(GtkWidget *emitter, gpointer data);
void parse_input		(FILE *input);
void FILE_readline		(FILE *fp, char *buffer, const int maxlen);
void do_something		(GtkWidget *emitter, gpointer data);
void smack			(GtkWidget *emitter, gpointer data);

GtkWidget *window = NULL;
GtkWidget *BOX = NULL;
GtkWidget *menu = NULL;
char *icon_location = NULL;

struct buttonbar_position {
     gint x;
     gint y;
     gint aux;
} final_resting_place = {-1, -1, -1};  /* Defaults */


